mod outfits;
mod ship;

pub use outfits::{ShipGun, ShipOutfit, ShipOutfits};
pub use ship::Ship;

use super::{super::InputStatus, ProjectileBuilder};

pub struct ShipControls {
	pub left: bool,
	pub right: bool,
	pub thrust: bool,
	pub guns: bool,
}

impl ShipControls {
	pub fn new() -> Self {
		ShipControls {
			left: false,
			right: false,
			thrust: false,
			guns: false,
		}
	}
}

pub struct ShipTickResult {
	pub projectiles: Vec<ProjectileBuilder>,
}
