mod physicswrapper;
mod projectile;
mod ship;
mod world;

pub use projectile::{Projectile, ProjectileBuilder};
pub use ship::{Ship, ShipControls, ShipGun, ShipOutfit, ShipOutfits, ShipTickResult};
pub use world::World;

use rapier2d::{dynamics::RigidBodyHandle, geometry::ColliderHandle};

#[derive(Debug, Copy, Clone)]
pub struct ShipHandle(pub(in super::super) RigidBodyHandle, ColliderHandle);
